#4081 closed task (fixed)

Remove Autoconf/Automake based build system

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: build Version: 6
Severity: normal Keywords: wafblocker
Cc: Blocked By: #4468
Blocking:

Description

Remove Autoconf/Automake? based build system after a testing phase of the waf based build system. The planned date to remove the old build system is 1st November 2020.

For a status of the new build system see:

https://devel.rtems.org/wiki/Release/6/Waf%20BSP%20Checklist

Change History (11)

comment:2 Changed on 09/17/20 at 06:13:04 by Sebastian Huber

Move it to the top-level or the documentation?

comment:3 Changed on 09/17/20 at 06:15:26 by Chris Johns

Sorry, I do not know. It is out of date but historically important. I think this is one for Joel.

I could not see anything else in the c tree.

comment:4 Changed on 02/26/21 at 07:18:57 by Chris Johns

The motorola_powerpc bootloader is looks like it is linking in some fake rom code and in the autoconf build system that is conditional on it being a qemu build.

comment:5 Changed on 07/14/21 at 04:27:43 by Chris Johns

Keywords: wafblocker added

comment:6 Changed on 07/14/21 at 04:28:20 by Chris Johns

Blocked By: 4468 added

comment:7 Changed on 09/13/21 at 21:42:26 by Joel Sherrill

Summary: Remove Autoconf/Aotomake based build systemRemove Autoconf/Automake based build system

comment:8 Changed on 09/13/21 at 21:45:41 by Joel Sherrill

Any objections to removing this now? :)

The RTEMS kernel recipe is still broken but that's about the end of it.

comment:9 Changed on 09/19/21 at 16:42:08 by Joel Sherrill <joel@…>

Resolution: fixed
Status: assignedclosed

In a178eba/rtems-source-builder:

Remove automake/autoconf from rtems 6 tools

These are unneeded with the waf build system.

Closes #4081.

comment:10 Changed on 09/21/21 at 08:25:58 by Sebastian Huber <sebastian.huber@…>

In db8f598/rtems:

build: Remove old build system

Close #3250.
Close #4081.

comment:11 Changed on 11/29/21 at 15:00:03 by Joel Sherrill <joel@…>

In e945e3fc/rtems:

*/aclocal/*: Remove remnants of autoconf/automae build system

Updates #4081.

Note: See TracTickets for help on using tickets.